#!/bin/sh

if [ -z "$1" ]; then
    echo "usage: $0 <cvs_release_tag>"
    echo ""
    echo " example: $0 release_0_0_2"
    echo ""
    exit 0
fi

version="${1##release_}"
version=`echo $version | sed s/\_/./g`
echo $version

cvs export -r $1 -d itunnel-$version itunnel
cd itunnel-$version
make
cd ..
tar -zcf itunnel-$version.tgz itunnel-$version
rm -rf itunnel-$version
